Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229102 - /etc/profile.d/lang.* override pre-existing LANG settings
Summary: /etc/profile.d/lang.* override pre-existing LANG settings
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 02:26 UTC by Chris Adams
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version: 8.50-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-19 22:23:39 UTC


Attachments (Terms of Use)

Description Chris Adams 2007-02-17 02:26:17 UTC
For a while now, the RHEL/FC OpenSSH packages have modified config settings to
pass locale variables between systems.  However, the unconditional sourcing of
/etc/sysconfig/i18n overrides this!  If a LANG is already set, it can be debated
if the user's ~/.i18n should be sourced, but the system file should not.

One reason that LANG from a remote system should not be changed is that LANG
encodes both a language and a character set.  I use en_US, but I am sometimes
logged in from a non-Linux system (Tru64 Unix) that doesn't support UTF-8, so I
use en_US.ISO8859-1.  There is no way for me to properly pass this right now
(having language and character set packed into one variable was probably not a
good idea to begin with; some things like man page caching don't really handle
it anyway, but oh well).

Comment 1 Bill Nottingham 2007-02-19 21:15:12 UTC
Do we send *all* LC_* variables?

Comment 2 Chris Adams 2007-02-19 21:19:28 UTC
/etc/ssh/ssh_config has:

SendEnv LANG LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES
SendEnv LC_PAPER LC_NAME LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT
SendEnv LC_IDENTIFICATION LC_ALL

/etc/ssh/sshd_config has:

AcceptEnv LANG LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES
AcceptEnv LC_PAPER LC_NAME LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT
AcceptEnv LC_IDENTIFICATION LC_ALL

Obviously, if they aren't set, they aren't sent, but I think that covers them
all (if not I guess it would be a bug in the RHEL/FC OpenSSH config).


Comment 3 Chris Adams 2007-02-19 21:21:07 UTC
Checking the OpenSSH RPM changelog, this was added about a year ago in bugzilla
179851.

Comment 4 Bill Nottingham 2007-02-19 22:23:39 UTC
Added in CVS, will be in 8.50-1. I suspect *something* will break.


Note You need to log in before you can comment on or make changes to this bug.